package com.eactive.eai.common.messagekey;

import java.io.Serializable;

public class MessageKeyFldVO implements Serializable {
	private static final long serialVersionUID = 1L;
	private String bwkColNm; // 업무필드명[TSEAIFR04.BzwkFldName]
	private String bwkClassNm; // 클래스명[TSEAIFR04.ClsName]
	private int bwkColStart; // 메시지필드시작위치값[TSEAIFR04.MsgFldStartSituVal]
	private int bwkColLength; // 메시지필드길이[TSEAIFR04.MsgFldLen]
	private String bwkColDef; // 정상처리내용[TSEAIFR04.NomalPrcssCtnt]

	private int groupSeq; // 업무필드명[TSEAIFR04.GroupInorNo] - UI를 위한 Option Field
	private int fieldSeq; // 업무필드명[TSEAIFR04.FldPrcssNo] - UI를 위한 Option Field

	public MessageKeyFldVO(int groupSeq, int fieldSeq, String bwkColNm, String bwkClassNm, int bwkColStart,
			int bwkColLength, String bwkColDef) {
		this.groupSeq = groupSeq;
		this.fieldSeq = fieldSeq;
		this.bwkColNm = bwkColNm;
		this.bwkClassNm = bwkClassNm;
		this.bwkColStart = bwkColStart;
		this.bwkColLength = bwkColLength;
		this.bwkColDef = bwkColDef;
	}

	public MessageKeyFldVO(String bwkColNm, String bwkClassNm, int bwkColStart, int bwkColLength, String bwkColDef) {
		this.groupSeq = 0;
		this.fieldSeq = 0;
		this.bwkColNm = bwkColNm;
		this.bwkClassNm = bwkClassNm;
		this.bwkColStart = bwkColStart;
		this.bwkColLength = bwkColLength;
		this.bwkColDef = bwkColDef;
	}

	public void setBwkColNm(String bwkColNm) {
		this.bwkColNm = bwkColNm;
	}

	public String getBwkColNm() {
		return this.bwkColNm;
	}

	public void setBwkClassNm(String bwkClassNm) {
		this.bwkClassNm = bwkClassNm;
	}

	public String getBwkClassNm() {
		return this.bwkClassNm;
	}

	public void setBwkColStart(int bwkColStart) {
		this.bwkColStart = bwkColStart;
	}

	public int getBwkColStart() {
		return this.bwkColStart;
	}

	public void setBwkColLength(int bwkColLength) {
		this.bwkColLength = bwkColLength;
	}

	public int getBwkColLength() {
		return this.bwkColLength;
	}

	public void setBwkColDef(String bwkColDef) {
		this.bwkColDef = bwkColDef;
	}

	public String getBwkColDef() {
		return this.bwkColDef;
	}

	public int getFieldSeq() {
		return fieldSeq;
	}

	public void setFieldSeq(int fieldSeq) {
		this.fieldSeq = fieldSeq;
	}

	public int getGroupSeq() {
		return groupSeq;
	}

	public void setGroupSeq(int groupSeq) {
		this.groupSeq = groupSeq;
	}

	@Override
	public String toString() {
		return "MessageKeyFldVO [bwkColNm=" + bwkColNm + ", bwkClassNm=" + bwkClassNm + ", bwkColStart=" + bwkColStart
				+ ", bwkColLength=" + bwkColLength + ", bwkColDef=" + bwkColDef + ", groupSeq=" + groupSeq
				+ ", fieldSeq=" + fieldSeq + "]";
	}

}
